Type1FontUtil
Date: 2017-05-25

org.apache.fontbox.cff

## Class Type1FontUtil

- java.lang.Object
- - org.apache.fontbox.cff.Type1FontUtil

-     public final class Type1FontUtil
      extends java.lang.Object

  This class contains some helper methods handling Type1-Fonts.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `charstringDecrypt(byte[] buffer, int n)` Decrypt charstring.
    `static byte[]` | `charstringEncrypt(byte[] buffer, int n)` Encrypt charstring.
    `static byte[]` | `eexecDecrypt(byte[] buffer)` Decrypt eexec.
    `static byte[]` | `eexecEncrypt(byte[] buffer)` Encrypt eexec.
    `static byte[]` | `hexDecode(java.lang.String string)` Converts a string representing a hex value into a byte array.
    `static java.lang.String` | `hexEncode(byte[] bytes)` Converts a byte-array into a string with the corresponding hex value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hexEncode

          public static java.lang.String hexEncode(byte[] bytes)

      Converts a byte-array into a string with the corresponding hex value.
      Parameters:
        `bytes` - the byte array
      Returns:
        the string with the hex value

    - #### hexDecode

          public static byte[] hexDecode(java.lang.String string)

      Converts a string representing a hex value into a byte array.
      Parameters:
        `string` - the string representing the hex value
      Returns:
        the hex value as byte array

    - #### eexecEncrypt

          public static byte[] eexecEncrypt(byte[] buffer)

      Encrypt eexec.
      Parameters:
        `buffer` - the given data
      Returns:
        the encrypted data

    - #### charstringEncrypt

          public static byte[] charstringEncrypt(byte[] buffer,
                                 int n)

      Encrypt charstring.
      Parameters:
        `buffer` - the given data
        `n` - blocksize?
      Returns:
        the encrypted data

    - #### eexecDecrypt

          public static byte[] eexecDecrypt(byte[] buffer)

      Decrypt eexec.
      Parameters:
        `buffer` - the given encrypted data
      Returns:
        the decrypted data

    - #### charstringDecrypt

          public static byte[] charstringDecrypt(byte[] buffer,
                                 int n)

      Decrypt charstring.
      Parameters:
        `buffer` - the given encrypted data
        `n` - blocksize?
      Returns:
        the decrypted data